Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Interface CustomWorkflowActionFactory

    public interface CustomWorkflowActionFactory

Factory interface for producing custom workflow actions.

Since:
  6.1

Method Summary
`CustomWorkflowAction` | `getAction(java.lang.String actionName, Document document)` Get an instance of the custom workflow action to execute.
`java.lang.String` | `getActionDescription(java.util.Locale displayLocale, java.lang.String actionName)` Get the description for the supplied action name
`java.lang.String[]` | `getActionNames()` Get an array of action names supported by this factory.
`java.lang.String` | `getActionTitle(java.util.Locale displayLocale, java.lang.String actionName)` Get the display title for the supplied action name.
`java.lang.String` | `getName()` Get the name for this factory.
`java.lang.String` | `getTitle(java.util.Locale displayLocale)` Get the display title for this factory.

Method Detail

### getName

    java.lang.String getName()

  Get the name for this factory. Used as a unique identifier.

  Returns:
    Factory name. The factory name must be smaller than 50 characters long.

### getTitle

    java.lang.String getTitle(java.util.Locale displayLocale)

  Get the display title for this factory.

  Parameters:
    `displayLocale` - Locale to display title
  Returns:
    Title for the factory

### getActionNames

    java.lang.String[] getActionNames()

  Get an array of action names supported by this factory.

  Returns:
    Action names. Each action name must be smaller than 200 characters long.

### getActionTitle

    java.lang.String getActionTitle(java.util.Locale displayLocale,
                                    java.lang.String actionName)

  Get the display title for the supplied action name.

  Parameters:
    `displayLocale` - Locale to display title
    `actionName` - Action name
  Returns:
    Title for the action name

### getActionDescription

    java.lang.String getActionDescription(java.util.Locale displayLocale,
                                          java.lang.String actionName)

  Get the description for the supplied action name

  Parameters:
    `displayLocale` - Locale to display the description
    `actionName` - Action name
  Returns:
    Description for the action name.

### getAction

    CustomWorkflowAction getAction(java.lang.String actionName,
                                   Document document)

  Get an instance of the custom workflow action to execute.

  Parameters:
    `actionName` - Action name
    `document` - Target document. Custom code must not modify this document.
  Returns:
    Instance of the custom workflow action

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD